Credit Wallet
curl --request POST \
--url https://nini.monieswitch.com/wallet/credit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 400,
"pin": "1234",
"narration": "Credit wallet testing",
"walletId": "53341293-eb2f-4510-8ebc-bad35ad2bd72",
"metadata": {
"Key": "value"
}
}
'import requests
url = "https://nini.monieswitch.com/wallet/credit"
payload = {
"amount": 400,
"pin": "1234",
"narration": "Credit wallet testing",
"walletId": "53341293-eb2f-4510-8ebc-bad35ad2bd72",
"metadata": { "Key": "value" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 400,
pin: '1234',
narration: 'Credit wallet testing',
walletId: '53341293-eb2f-4510-8ebc-bad35ad2bd72',
metadata: {Key: 'value'}
})
};
fetch('https://nini.monieswitch.com/wallet/credit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Wallet successfully credited.",
"data": {
"reference": "wW2gGqj2B8AVc897IxNw0iIhwBk1pn7BOWQt",
"totalAmount": 2000,
"charges": 0,
"status": "SUCCESS",
"amount": 2000,
"merchantId": "1f18305f-851a-4266-bdc6-6fc1525928cf",
"walletId": "53341293-eb2f-4510-8ebc-bad35ad2bd72",
"paidAt": "2024-07-17T10:54:40+01:00",
"narration": "Credit wallet testing",
"requestMetadata": {
"Key": "value"
},
"beneficiaryBankName": "Xpress Wallet",
"beneficiaryBankCode": "999270",
"beneficiaryAccountNumber": "4479274634",
"beneficiaryAccountName": "Ogundeko Ridwan",
"originatorBankCode": "999270",
"originatorBankName": "Xpress Wallet",
"originatorAccountName": "Neyosoft",
"originatorAccountNumber": "4409794005",
"description": "₦2,000.00 transferred to Ogundeko Ridwan",
"transactionId": "29836236-ac7b-498d-a1a3-f8ae82053366"
}
}Wallet
Credit Wallet
POST
/
wallet
/
credit
Credit Wallet
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I